import { Command, CommandLineInputs, CommandLineOptions, CommandPreInputsPrompt } from '@ionic/cli-utils';
/**
 * Metadata about the platform command
 */
export declare class PlatformCommand extends Command implements CommandPreInputsPrompt {
    preInputsPrompt(inputs: CommandLineInputs): Promise<void | number>;
    run(inputs: CommandLineInputs, options: CommandLineOptions): Promise<void>;
}
